API Release - v4.3.0
4.3.0Apr 23, 2025

UK MarketCheck Price endpoints, the vdp_url search parameter, percentile stats, stats in US MarketCheck Price comparables, UK trim search, and a partial listings fix.
  • New features: UK Marketcheck Price Endpoints
  • Optimizations: Support for vdp_url Parameter in Search API, Enhanced Stats Capabilities in Search API, Incorporate Stats in US Marketcheck Price API Response, Search available on Trim in UK Search API
  • Bug fixes: Fixed Listings API Handling for Partial Listings

New features

1. UK Marketcheck Price Endpoints

Description

  • The new Marketcheck Price endpoints have been integrated to provide the retail dealer listing price for used cars in the UK, based on factors such as car specifications, location, and condition. Additionally, it also return active and recently sold comparable vehicles for further analysis.

Endpoints

  • Base - GET /v2/predict/car/uk/marketcheck_price
  • Predicts the retail dealer listing price for a used car in the UK market.
  • Premium - GET /v2/predict/car/uk/marketcheck_price/comparables
  • Predicts a retail dealer listing price for a used car in the UK, along with comparable active and recently sold vehicles, including their prices, miles & DOS Active stats.

Documentation

Example Requests

  • Base:
  • https://mc-api.marketcheck.com/v2/predict/car/uk/marketcheck_price?vrm=GGZ7164&miles=50129&dealer_type=independent&postal_code=E12%205LH&api_key={{api_key}}
  • Premium:
  • https://mc-api.marketcheck.com/v2/predict/car/uk/marketcheck_price/comparables?vrm=GGZ7164&miles=50129&dealer_type=independent&postal_code=E12%205LH&api_key={{api_key}}

Optimizations

1. Support for vdp_url Parameter in Search API

Description

  • The Search API now supports filtering listings using the vdp_url parameter for both Active and Recent endpoints across US and UK.

Note

  • The vdp_url must be URL-encoded before being passed as a search parameter in the API call to ensure special characters like &, #, and + are correctly preserved.

Documentation

Example Requests

  • For US:https://mc-api.marketcheck.com/v2/search/car/active?vdp_url=https%3A%2F%2Fwww.hollerclassic.com%2Fcars%2Fnew-2025-mazda-cx-90-phev-premium-sport-jm3kkcha2s1228796-mazda-lakeland&api_key={{api_key}}
  • For UK:https://mc-api.marketcheck.com/v2/search/car/uk/active?vdp_url=https%3A%2F%2Fwww.paulrigbygroup.co.uk%2Fused-cars%2F19372621-Ford-Kuga-1.5%2520EcoBlue%2520Titanium%2520First%2520Edition%2520Euro%25206%2520(s%2Fs)%25205dr&api_key={{api_key}}

2. Enhanced Stats Capabilities in Search API

Description

  • The Search API's stats response enhanced with new percentile values: 5th, 25th, 50th, 75th, 90th, 95th and 99th, providing a more granular view of data distribution and statistical trends.

Documentation

Example API Call:

  • https://mc-api.marketcheck.com/v2/search/car/active?rows=0&stats=price,miles,dos_active&api_key={{api_key}}

3. Incorporate Stats in US Marketcheck Price API Response

Description

  • The US Marketcheck Price API includes price, mileage, and Active Days-On-Site (DOS) statistics in the comparables response for better data insights.

Example API Call:

  • https://mc-api.marketcheck.com/v2/predict/car/us/marketcheck_price/comparables?vin=2T3DWRFV3LW077677&miles=76189&dealer_type=independent&city=Lakewood&state=CO&api_key={{api_key}}

4. Search available on Trim in UK Search API

Description

  • The UK Search API has been enhanced to support trim in both facets and match parameters, allowing more precise filtering and improved relevance in similar listings. Earlier, only attributes like year, make, model, body_type, and variant were supported for similar listings.

Documentation

Example API Call:

  • https://mc-api.marketcheck.com/v2/search/car/uk/active?vehicle_type=Car&facets=trim&api_key={{api_key}}

Bug fixes

1. Fixed Listings API Handling for Partial Listings

Description

  • Previously, the Listings API returned a ‘422 Listing Not Found’ error for listings with partial data. This has been fixed to return available listing data, even if it is partial.

Example API Call

  • https://mc-api.marketcheck.com/v2/listing/car/JTJJM7FX2G5123556-3c1026172f655e8eca337e2392b547a3fda07a52?api_key={{api_key}}